Expenses

Get Hris Expense Reports For Org

Paginated list of the org's non-draft, non-contractor expense reports with dashboard summary tiles.

POSThttps://api.toku.com/hris/get-hris-expense-reports-for-org

Required scope: expenses:read

curl --request POST \
  --url 'https://api.toku.com/hris/get-hris-expense-reports-for-org' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "status": "DRAFT",
  "roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "expensedCurrencyID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "hrisExpenseCategoryID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "fromDate": "2026-01-01T00:00:00Z",
  "toDate": "2026-01-01T00:00:00Z",
  "search": "string",
  "limit": 50,
  "offset": 0,
  "summaryOnly": true
}'
200 response
{
  "totalCount": 0,
  "reports": [
    {
      "hrisExpenseReportID": "string",
      "roleInOrgID": "string",
      "roleInOrgName": "string",
      "roleInOrgEmail": "string",
      "roleInOrgDepartment": "string",
      "name": "string",
      "status": "string",
      "startDate": "string",
      "endDate": "string",
      "expensedCurrencyID": "string",
      "expensedCurrencyCode": "string",
      "expensedCurrencyName": "string",
      "totalAmountInExpenseCurrency": "string",
      "submittedAt": "string",
      "approvedAt": "string",
      "rejectedAt": "string",
      "paidAt": "string",
      "payoutStatus": "string",
      "decisionUndoableUntil": "string",
      "rejectionReason": "string",
      "reviewComment": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "expenseCount": 0,
      "categoryNames": [
        "string"
      ],
      "primaryExpenseCategoryName": "string",
      "hasReceiptlessExpenses": true,
      "thirdPartyProvider": "string",
      "thirdPartyReportID": "string",
      "reimbursementSyncedAt": "string",
      "reimbursementSyncError": "string"
    }
  ],
  "dashboardSummary": {
    "pendingApprovalCount": 0,
    "pendingApprovalAmount": "string",
    "approvedThisMonthCount": 0,
    "reimbursedThisMonthAmount": "string",
    "reimbursedThisMonthAmounts": [
      {
        "currencyCode": "string",
        "amount": "string"
      }
    ]
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

statusstring

Available options: DRAFT, SUBMITTED, PENDING_INFO, APPROVED, REJECTED, CANCELLED, PROCESSING, PAID

roleInOrgIDstring<uuid>
expensedCurrencyIDstring<uuid>
hrisExpenseCategoryIDstring<uuid>
fromDatestring<date-time>
toDatestring<date-time>
searchstring

NOTE(ck): a .transform() rule is not mirrored here; TGA still enforces it

Allowed: at most 200 characters

limitinteger

Allowed: 1 to 500

Default: 50

offsetinteger

Allowed: at least 0

Default: 0

summaryOnlyboolean

Response

200Successful response
totalCountnumberrequired
reportsobject[]required
Show child attributes
hrisExpenseReportIDstringrequired
roleInOrgIDstringrequired
roleInOrgNamestring | nullrequired
roleInOrgEmailstring | nullrequired
roleInOrgDepartmentstring | nullrequired
namestringrequired
statusstringrequired
startDatestring | nullrequired
endDatestring | nullrequired
expensedCurrencyIDstring | nullrequired
expensedCurrencyCodestring | nullrequired
expensedCurrencyNamestring | nullrequired
totalAmountInExpenseCurrencystring | nullrequired
submittedAtstring | nullrequired
approvedAtstring | nullrequired
rejectedAtstring | nullrequired
paidAtstring | nullrequired
payoutStatusstring | nullrequired
decisionUndoableUntilstring | nullrequired
rejectionReasonstring | nullrequired
reviewCommentstring | nullrequired
createdAtstring | nullrequired
updatedAtstring | nullrequired
expenseCountnumberrequired
categoryNamesstring[]required
primaryExpenseCategoryNamestring | nullrequired
hasReceiptlessExpensesbooleanrequired
thirdPartyProviderstring | nullrequired
thirdPartyReportIDstring | nullrequired
reimbursementSyncedAtstring | nullrequired
reimbursementSyncErrorstring | nullrequired
dashboardSummaryobjectrequired
Show child attributes
pendingApprovalCountnumberrequired
pendingApprovalAmountstringrequired
approvedThisMonthCountnumberrequired
reimbursedThisMonthAmountstringrequired
reimbursedThisMonthAmountsobject[]required
Show child attributes
currencyCodestring | nullrequired
amountstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits